TestObject (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.query.dunit

## Class TestObject

- java.lang.Object
- - org.apache.geode.cache.query.dunit.TestObject

- All Implemented Interfaces:
    java.io.Serializable, DataSerializable

      public class TestObject
      extends java.lang.Object
      implements DataSerializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

      `DataSerializable.Replaceable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_price`
    `protected java.lang.String` | `_ticker`
    `int` | `id`
    `int` | `important`
    `int` | `select`
    `int` | `selection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestObject()`
    `TestObject(int id, java.lang.String ticker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `void` | `fromData(java.io.DataInput in)` Reads the state of this object as primitive data from the given `DataInput`.
    `int` | `getId()`
    `int` | `getPrice()`
    `java.lang.String` | `getTicker()`
    `int` | `hashCode()`
    `void` | `toData(java.io.DataOutput out)` Writes the state of this object as primitive data to the given `DataOutput`.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _ticker

          protected java.lang.String _ticker

    - #### _price

          protected int _price

    - #### id

          public int id

    - #### important

          public int important

    - #### selection

          public int selection

    - #### select

          public int select

  - ### Constructor Detail

    - #### TestObject

          public TestObject()

    - #### TestObject

          public TestObject(int id,
                            java.lang.String ticker)

  - ### Method Detail

    - #### getId

          public int getId()

    - #### getTicker

          public java.lang.String getTicker()

    - #### getPrice

          public int getPrice()

    - #### toData

          public void toData(java.io.DataOutput out)
                      throws java.io.IOException

      Description copied from interface: `DataSerializable`
      Writes the state of this object as primitive data to the given `DataOutput`.

      Since 5.7 it is possible for any method call to the specified `DataOutput` to throw `GemFireRethrowable`. It should not be caught by user code. If it is it must be rethrown.

      Specified by:
        `toData` in interface `DataSerializable`
      Throws:
        `java.io.IOException` - A problem occurs while writing to `out`

    - #### fromData

          public void fromData(java.io.DataInput in)
                        throws java.io.IOException,
                               java.lang.ClassNotFoundException

      Description copied from interface: `DataSerializable`
      Reads the state of this object as primitive data from the given `DataInput`.
      Specified by:
        `fromData` in interface `DataSerializable`
      Throws:
        `java.io.IOException` - A problem occurs while reading from `in`
        `java.lang.ClassNotFoundException` - A class could not be loaded while reading from `in`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`